From 7fb0cb0670041a2d8c591af2e95ca8c4306d840c Mon Sep 17 00:00:00 2001
From: Markus Steinborn <gnugv_maintainer@yahoo.de>
Date: Thu, 1 Mar 2012 18:09:41 +0100
Subject: [PATCH 2/3] Xaw3d-1.6.1-fontset.patch

---
 src/AsciiSink.c |    2 ++
 src/Command.c   |    2 ++
 src/List.c      |    2 ++
 src/SmeBSB.c    |    2 ++
 src/Tip.c       |    2 ++
 5 files changed, 10 insertions(+)

diff --git libXaw3d-1.6.2/src/AsciiSink.c libXaw3d-1.6.2/src/AsciiSink.c
index c14306e..8465b94 100644
--- libXaw3d-1.6.2/src/AsciiSink.c
+++ libXaw3d-1.6.2/src/AsciiSink.c
@@ -513,6 +513,8 @@ Initialize(Widget request, Widget new, ArgList args, Cardinal *num_args)
 {
     AsciiSinkObject sink = (AsciiSinkObject) new;
 
+    if (!sink->ascii_sink.font) XtError("Aborting: no font found\n");
+
     GetGC(sink);
 
     sink->ascii_sink.insertCursorOn= CreateInsertCursor(XtScreenOfObject(new));
diff --git libXaw3d-1.6.2/src/Command.c libXaw3d-1.6.2/src/Command.c
index 18efb9a..685fd16 100644
--- libXaw3d-1.6.2/src/Command.c
+++ libXaw3d-1.6.2/src/Command.c
@@ -220,6 +220,8 @@ Initialize(Widget request, Widget new, ArgList args, Cardinal *num_args)
   CommandWidget cbw = (CommandWidget) new;
   int shape_event_base, shape_error_base;
 
+  if (!cbw->label.font) XtError("Aborting: no font found\n");
+
   if (cbw->command.shape_style != XawShapeRectangle
       && !XShapeQueryExtension(XtDisplay(new), &shape_event_base,
 			       &shape_error_base))
diff --git libXaw3d-1.6.2/src/List.c libXaw3d-1.6.2/src/List.c
index 6b9fe13..c52135a 100644
--- libXaw3d-1.6.2/src/List.c
+++ libXaw3d-1.6.2/src/List.c
@@ -362,6 +362,8 @@ Initialize(Widget junk, Widget new, ArgList args, Cardinal *num_args)
 {
     ListWidget lw = (ListWidget) new;
 
+    if (!lw->list.font) XtError("Aborting: no font found\n");
+
 /*
  * Initialize all private resources.
  */
diff --git libXaw3d-1.6.2/src/SmeBSB.c libXaw3d-1.6.2/src/SmeBSB.c
index f8bf987..d7c8b9d 100644
--- libXaw3d-1.6.2/src/SmeBSB.c
+++ libXaw3d-1.6.2/src/SmeBSB.c
@@ -207,6 +207,8 @@ Initialize(Widget request, Widget new, ArgList args, Cardinal *num_args)
     else
 	entry->sme_bsb.label = XtNewString( entry->sme_bsb.label );
 
+    if (!entry->sme_bsb.font) XtError("Aborting: no font found\n");
+
     CreateGCs(new);
 
     GetBitmapInfo(new, TRUE);	/* Left Bitmap Info */
diff --git libXaw3d-1.6.2/src/Tip.c libXaw3d-1.6.2/src/Tip.c
index 5542fc5..9eeffbd 100644
--- libXaw3d-1.6.2/src/Tip.c
+++ libXaw3d-1.6.2/src/Tip.c
@@ -248,6 +248,8 @@ XawTipInitialize(Widget req, Widget w, ArgList args, Cardinal *num_args)
     TipWidget tip = (TipWidget)w;
     XGCValues values;
 
+    if (!tip->tip.font) XtError("Aborting: no font found\n");
+
     tip->tip.timer = 0;
 
     values.foreground = tip->tip.foreground;
-- 
1.7.9.5

